## NMSettingOvsInterface NMSettingOvsInterface — Describes connection properties for Open vSwitch interfaces. |

## Functions

NMSetting * | nm_setting_ovs_interface_new ()
const char * | nm_setting_ovs_interface_get_interface_type ()
guint32 | nm_setting_ovs_interface_get_ofport_request ()

## Types and Values

#define | NM_SETTING_OVS_INTERFACE_SETTING_NAME
#define | NM_SETTING_OVS_INTERFACE_TYPE
#define | NM_SETTING_OVS_INTERFACE_OFPORT_REQUEST

## Description

The NMSettingOvsInterface object is a NMSetting subclass that describes properties necessary for Open vSwitch interfaces.

## Functions

### nm_setting_ovs_interface_new ()

    NMSetting *
    nm_setting_ovs_interface_new (void);

Creates a new NMSettingOvsInterface object with default values.

#### Returns

the new empty NMSettingOvsInterface object.

[transfer full]

Since: 1.10

### nm_setting_ovs_interface_get_interface_type ()

    const char *
    nm_setting_ovs_interface_get_interface_type
                                   (NMSettingOvsInterface *self);

#### Parameters

self | the NMSettingOvsInterface |

#### Returns

the “type” property of the setting

Since: 1.10

### nm_setting_ovs_interface_get_ofport_request ()

    guint32
    nm_setting_ovs_interface_get_ofport_request
                                   (NMSettingOvsInterface *self);

#### Parameters

self | the NMSettingOvsInterface |

#### Returns

id of the preassigned ovs port

Since: 1.42

## Types and Values

### NM_SETTING_OVS_INTERFACE_SETTING_NAME

    #define NM_SETTING_OVS_INTERFACE_SETTING_NAME "ovs-interface"

### NM_SETTING_OVS_INTERFACE_TYPE

    #define NM_SETTING_OVS_INTERFACE_TYPE "type"

### NM_SETTING_OVS_INTERFACE_OFPORT_REQUEST

    #define NM_SETTING_OVS_INTERFACE_OFPORT_REQUEST "ofport-request"